classification
Title: Signature.from_callable sometimes drops subclassing
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: gregory.p.smith Nosy List: bukzor, gregory.p.smith, iritkatriel, matrixise
Priority: normal Keywords: patch

Created on 2018-09-16 21:12 by bukzor, last changed 2020-10-10 01:37 by gregory.p.smith. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9344 closed python-dev, 2018-09-16 21:14
PR 16108 merged gregory.p.smith, 2019-09-13 14:11
PR 16113 merged miss-islington, 2019-09-13 16:14
PR 16114 merged miss-islington, 2019-09-13 16:14
Messages (5)
msg325501 - (view) Author: Buck Evan (bukzor) * Date: 2018-09-16 21:12
Specifically in the case of a class that does not override its constructor signature inherited from object.

Github PR incoming shortly.
msg352357 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2019-09-13 16:13
New changeset 5b9ff7a0dcb16d6f5c3cd4f1f52e0ca6a4bde586 by Gregory P. Smith in branch 'master':
bpo-34706: Preserve subclassing in inspect.Signature.from_callable (GH-16108)
https://github.com/python/cpython/commit/5b9ff7a0dcb16d6f5c3cd4f1f52e0ca6a4bde586
msg352382 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-13 17:42
New changeset cf25765cf79a5bd19ba90a535a51367d6177f2bc by Stéphane Wirtel (Miss Islington (bot)) in branch '3.8':
bpo-34706: Preserve subclassing in inspect.Signature.from_callable (GH-16108) (GH-16113)
https://github.com/python/cpython/commit/cf25765cf79a5bd19ba90a535a51367d6177f2bc
msg352383 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-13 17:42
New changeset 3906920cfecba83d529f8755f5ec2e53e49f9e90 by Stéphane Wirtel (Miss Islington (bot)) in branch '3.7':
bpo-34706: Preserve subclassing in inspect.Signature.from_callable (GH-16108) (GH-16114)
https://github.com/python/cpython/commit/3906920cfecba83d529f8755f5ec2e53e49f9e90
msg378354 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-10-09 22:40
This seems complete, can it be closed?
History
Date User Action Args
2020-10-10 01:37:03gregory.p.smithsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-09 22:40:54iritkatrielsetnosy: + iritkatriel
messages: + msg378354
2019-09-13 17:42:56matrixisesetmessages: + msg352383
2019-09-13 17:42:38matrixisesetnosy: + matrixise
messages: + msg352382
2019-09-13 16:14:12miss-islingtonsetpull_requests: + pull_request15729
2019-09-13 16:14:05miss-islingtonsetpull_requests: + pull_request15728
2019-09-13 16:13:54gregory.p.smithsetmessages: + msg352357
2019-09-13 14:12:56gregory.p.smithsetassignee: gregory.p.smith

nosy: + gregory.p.smith
2019-09-13 14:12:02gregory.p.smithsetversions: + Python 3.8, Python 3.9
2019-09-13 14:11:40gregory.p.smithsetpull_requests: + pull_request15726
2018-09-16 22:41:07bukzorsettype: behavior
2018-09-16 21:14:58python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request8768
2018-09-16 21:12:01bukzorcreate